#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "allegro.h"
#include "enemy.h"

class PLAYER
{
public:
	int px;
	int py;
	int frame_x;
	int frame_y;
	int move_timer;
	int move_speed;
	int blink_timer;
	int sleep_timer;
	
	int sprite_x;
	int sprite_y;
	int animate_timer;
	int animate_speed;
	bool animate_positive;
	bool animate_sleep;
	bool sleep;
	bool touched;
	bool alive;
	int death_state;
	
	BITMAP *body;
	COMPASS direction;

    PLAYER();
	~PLAYER();

	void validate_animate();
	void change_animateX();
	bool movement_ok();
	bool animate_ok();
	void sleep_now();
	void blink_now();
	void change_zzz();
	void die();

};

#endif /* End of _PLAYER_H_ */