/*  FILE:    comerr.h
    AUTHOR:  Steven Silvey
	PURPOSE: This header file takes care of tedious error handeling and simplifies my tasks.
*/

#ifndef _INC_COMERR_H_
#define _INC_COMERR_H_

#include<stdlib.h>
#include<stdio.h>
#include<string.h>



//#ifndef _T_AND_F_
//#define _T_AND_F_
/***************************************** CONSTANTS ********************************************/
//const int TRUE = 1;
//const int FALSE = 0;
/*----------------------------------------------------------------------------------------------*/
//#endif  /*END OF _T_AND_F_*/

/*	PURPOSE:  HANDLE MENU PROBLEMS
	PARAMETERS:  iMin - MINIMUM NUMBER FOR MENU CHOICE
				 iMax - MAXIMUM NUMBER FOR MENU CHOICE
	RETURN:  WHETHER SUCCESSFUL OR NOT		*/
short shGet_Menu_Choice(int iMin, int iMax);
/*  PURPOSE:  CHECK IF FILE OPENED WITHOUT ERRORS
	PARAMETERS:  cFile_Path_Name - FILE PATH TO SOURCE FILE
				 Access - HOW THE FILE IS OPENED (R, W, A)
	RETURN:  FILE OPENED OR NULL							
	NOTE:  WROTE THIS FUNCTION FOR HOMEWORK ASSIGNMENT 2 */
FILE *fpFile_Open(char *cFile_Path_Name, char *Access);
/*  PURPOSE:  CHECK A POINTER TO SEE IF THERE WAS AN ERROR IN ACCESSING MEMORY
    PARAMETERS: *Pointer - A POINTER THAT IS FREE TO BE ANYTHING
	RETURN:  FALSE IF ERROR, TRUE IF SUCCESSFUL									*/
int iValid_Test(void *Pointer);
char *Read_Line(FILE *finput);


#endif  /*END OF _INC_COMERR_H_*/

