// NOTE:  The player and enemy structures could be inherited in some manner, but I wasn't
// concerned with that for ChristmasHack.  I can copy/paste pretty fast.  ;)


#ifndef _ENEMY_H_
#define _ENEMY_H_

#include "allegro.h"
enum MONSTER{RANDOM = 0, HUNT, TEMP, FROZEN, BOUNCE_HORIZONTAL, BOUNCE_VERTICAL, WALL_LEFT, WALL_RIGHT, ARCHER, RAM};
enum COMPASS{NONE = 0, SOUTH, NORTH, EAST, WEST, SOUTHEAST, SOUTHWEST, NORTHEAST, NORTHWEST, DEAD};
class ENEMY
{
public:
	bool good;

	int ex;
	int ey;
	int move_speed;	
	int steps;
	int frame_x;	//what animation frame they're on
	int frame_y;
	int sprite_x;   //where they are on the sprite map
	int sprite_y;
	int animate_timer;
	int animate_speed;
	bool animate_positive;
    char **cText;
	MONSTER type;
	MONSTER temp_type;
	BITMAP *body;
	COMPASS direction;
	COMPASS face;

    ENEMY();
	~ENEMY();

	bool movement_ok();
	bool animate_ok();
	void action(int px, int py, bool refresh);
	void pick_direction();
	void pick_direction(int x, int y);
	void move_direction();
	void validate_animate();
	void change_animateX();
	void pick_horizontal();
	void pick_vertical();		
		

private:
	int move_timer;
	

};
#endif _ENEMY_H_