#include "allegro.h"
#include "game.h"
#include "allegro_color.h"
#include<string.h>

int GFX_H;
int GFX_W;
volatile int timer;
volatile int system_timer;
void GAME_TIMER_PROC()
{
	system_timer++;
}
END_OF_FUNCTION(GAME_TIMER_PROC)
void TIMER_PROC()
{
	timer++;
}
END_OF_FUNCTION(TIMER_PROC);

game::game()
{	
}

game::~game()
{

}

bool game::options()
{
	bool option = false, quit = false, highlight = false;
	int cur_y = 0, pos_x = 0, pos_y = 0;
	BITMAP *buffer;

	buffer = create_bitmap(GFX_W, GFX_H);
	textprintf(buffer, font, 315, 400,  BLUE, "New Game");
	textprintf(buffer, font, 315, 420,  BLUE, "Load Game");
	textprintf(buffer, font, 315, 440,  BLUE, "Exit");
	show_mouse(buffer);
	while(option == false && quit == false)
	{
		if(key[KEY_ESC])
			quit = true;
							

			if(mouse_x < 310 || mouse_x > 400 || mouse_y != cur_y)
				highlight = false;
			if((mouse_x > 310 && mouse_x < 400 && highlight == false) || mouse_b & 1)
			{
				textprintf(buffer, font, 315, 400,  BLUE, "New Game");
				textprintf(buffer, font, 315, 420,  BLUE, "Load Game");
				textprintf(buffer, font, 315, 440,  BLUE, "Exit");
			
				if(mouse_y > 390 && mouse_y < 410)
				{
					textprintf(buffer, font, 315, 400,  RED, "New Game");
					highlight = true;
					cur_y = mouse_y;

					if(mouse_b & 1)
					{
						textprintf(buffer, font, 315, 400,  DARKRED, "New Game");
						this->new_game();
						option = true;
					}
				}
				if(mouse_y > 410 && mouse_y < 430)
				{
					textprintf(buffer, font, 315, 420,  RED, "Load Game");
					highlight = true;
					cur_y = mouse_y;
					if(mouse_b & 1)
					{
						textprintf(buffer, font, 315, 420,  DARKRED, "Load Game");
						this->load_game();
						option = true;
					}
				}
				if(mouse_y > 430 && mouse_y < 450)
				{
					textprintf(buffer, font, 315, 440,  RED, "Exit");
					highlight = true;
					cur_y = mouse_y;
					if(mouse_b & 1)
					{
						textprintf(buffer, font, 315, 440,  DARKRED, "Exit");
						quit = true;
					}
				}						
			}
		draw_sprite(screen, buffer, 0, 0);

	}
	remove_mouse();
	destroy_bitmap(buffer);
	return quit;
}

void game::new_game()
{

}

void game::load_game()
{
}

void game::play()
{
	bool quit = false;
	MIDI *background_music;
	stage.user.px = 18 * TILE_W;
	stage.user.py = 18 * TILE_H;
	strcpy(stage.cLevel, ".//Data//Levels//level1.txt");

	background_music = load_midi(".\\Data\\Music\\CarolOfTheBells1.mid");
	if(background_music == NULL)
		allegro_message("ERROR:  Failed to open CarolOfTheBells1.mid.  Continuing game...");

	play_looped_midi(background_music, 0, -1); 
	
	while(!key[KEY_ESC] && quit == false)
	{
		//Load a level
		stage.load();	
		//Play a level
		stage.play();
		//Destroy level
		stage.destroy();
	}
	stop_midi();
}