#include "allegro.h"
#include "object.h"
#include "game.h"

OBJECT::OBJECT()
{
	x = 0;
	y = 0;
	item_x = 0;
	item_y = 0;
	steps = 0;
	direction = NONE;
	move_timer = 0;
	move_speed = 0;
	moveable = true;
	bData = NULL;
	endless_roll = false;
}

OBJECT::~OBJECT()
{
}

void OBJECT::action()
{
	//validate_animate();
	if(direction != NONE)
		move_direction2();		
}

void OBJECT::move_direction2()
{
	//Move - could be a function
	if(movement_ok() && steps > 0)
	{
		switch(direction)
		{
		case NORTHWEST:
		case NORTHEAST:
		case NORTH:
			
			y -= 4;
			break;
		case SOUTHEAST:
		case SOUTHWEST:				
		case SOUTH:
			y += 4;
			break;
		case WEST:
			x -= 4;
			break;
		case EAST:
			x += 4;
			break;		
		}				
		if(endless_roll == false)
			steps--;
	}		
}

bool OBJECT::movement_ok()
{
	if(abs(system_timer - move_timer) > move_speed)
	{
		move_timer = system_timer;
		return true;
	}
	return false;
}


